Subject: Re: bug#14752: [PATCH] sort: print warning when fork() failed for --compress-program

From: Pádraig Brady <[email-masked]>
Date: Thu, 16 Jul 2015 04:12:20 +0100

On 16/07/15 03:56, Azat Khuzhin wrote:
> On Thu, Jul 16, 2015 at 03:46:55AM +0100, Pádraig Brady wrote:
>> With the above general benefits in mind, and the complexity
>> of the sort fork server implementation, I'm inclined to
>> think working on posix_spawn() in glibc is more beneficial,
>> and might actually be as easy.  Also sort(1) can be moved
>> to using posix_spawn() independently.
> 
> Yes it will be more general benefit, but I don't think (and this is how
> it works) that every custom server will switch to it, but I agree that
> this shouldn't be a problem for highly used servers. And also after
> posix_spawn will be fixed sort will require new glibc to fix this
> issue, and hence some distros (like debian) couldn't ship "sort" with
> fix for this issue without glibc (but I totally agree with you about how
> this must be fixed -- in more generic basis).

Note we've some flexibility with gnulib to replace posix_spawn()
on platforms where we determine the system version doesn't suffice.

> Anyway, let's get back to "sort", any chances that that patches (more
> cleaner and less buggy of course) could be picked for upstream?

Maybe, though sort(1) is complex enough already,
so I'd still prefer at least to look at the more general solution.

> And thanks for link to the bug about posix_spawn I will look it more
> closely.

thanks,
Pádraig.